<html>
  <head>
    <title>Arrays 5</title>
    <script>
      function execute() {
        const arr = input.value.split(',').map(x => +x);
        const res = [...arr];
        for (let i = 0; i < res.length; i++) {
          let min = i;
          for (let j = i + 1; j < res.length; j++) {
            if (res[j] < res[min]) {
              min = j;
            }
          }
          const temp = res[i];
          res[i] = res[min];
          res[min] = temp;
        }
        const output = `<p>The input array is</p><p>${arr.join(' ')}<p>` + 
          `<p>The sorted array is</p><p>${res.join(' ')}</p>`;
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Sequence [,]: <input id="input" /></p>
    <button onclick="execute()">Execute</button>
    <div id="result"></div>
  </body>
</html>
